<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    header: {
      type: String,
      required: true,
    },
    text: {
      type: String,
      required: true,
    },
    sponsors: {
      type: Array,
      required: false,
      default: () => [],
    },
  },
  data() {
    return {};
  },
  methods: {},
});
</script>

<template>
  <SlpContainer class="sponsor">
    <SlpRow>
      <SlpColumn>
        <SlpTypography variant="heading2-bold" tag="h2" class="header"
          >{{ header }}
        </SlpTypography>
      </SlpColumn>
      <SlpColumn class="d-flex">
        <SlpTypography variant="heading5" tag="h2" class="header">{{
          text
        }}</SlpTypography>
        <div v-if="sponsors.length" class="flex">
          <div
            v-for="sponsor in sponsors"
            :key="sponsor.src"
            class="imgs-container"
          >
            <img :src="sponsor.src" alt="" />
            <div v-if="sponsor.description" class="sponsor__blurb">
              <SlpTypography variant="body3" tag="p" class="header">{{
                sponsor.description
              }}</SlpTypography>
            </div>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.sponsor {
  margin: 120px auto;
  .imgs-container {
    margin-top: 50px;

    @media (min-width: $breakpoint-lg) {
      display: flex;
    }
    img {
      width: 180px;
      object-fit: contain;
    }
  }
  &__blurb {
    margin-top: 32px;
    @media (min-width: $breakpoint-lg) {
      margin-left: 24px;
      margin-top: 0;
    }
  }
}
</style>
